summarylogtreecommitdiffstats
path: root/motrix.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-12 12:30:48 +0800
committerzxp198210052023-12-12 12:30:48 +0800
commit5779a23603160d8bd298b01c7888f263e9d19f2e (patch)
tree1b7acb16672e1132b2a07565e96fb712da3212b7 /motrix.sh
parent8c2c2004b10779c6ba459b75d514e96d7ec031a8 (diff)
downloadaur-5779a23603160d8bd298b01c7888f263e9d19f2e.tar.gz
update to 1.8.19.r30.g7012040
Diffstat (limited to 'motrix.sh')
-rw-r--r--motrix.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/motrix.sh b/motrix.sh
new file mode 100644
index 000000000000..2ec4412e5c4f
--- /dev/null
+++ b/motrix.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+_APPDIR="/usr/lib/@appname@"
+export PATH="${_APPDIR}:${PATH}"
+export ELECTRON_IS_DEV=0
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+_ASAR="${_APPDIR}/@appasar@"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
+else
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+fi \ No newline at end of file